package com.iamberry.wechat.service.integral;

import com.iamberry.wechat.core.entity.integral.IntegralProductGrade;
import com.iamberry.wechat.face.integral.IntegralProductGradeService;
import com.iamberry.wechat.service.mapper.IntegralProductGradeMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *  积分商品兑换对应等级接口
 * @author Administrator
 * @Date 2018-04-28
 */
@Service
public class IntegralProductGradeServiceImpl  implements IntegralProductGradeService {
    @Autowired
    private IntegralProductGradeMapper integralProductGradeMapper;
    /**
     * 获取集合
     * @param  integralProductGrade
     * @return List
     */
    @Override
    public List<IntegralProductGrade> getIntegralProductGradeList(IntegralProductGrade  integralProductGrade){
        return  integralProductGradeMapper.getIntegralProductGradeList(integralProductGrade);
    }
    /**
     * 查询单条数据
     * @param  id
     * @return  integralProductGrade
     */
    @Override
    public  IntegralProductGrade  getIntegralProductGradeById(Integer  id){
        return  integralProductGradeMapper.getIntegralProductGradeById(id);
    }
    /**
     * 增加数据
     * @param  integralProductGrade
     * @return Integer
     */
    @Override
    public  Integer  save(IntegralProductGrade  integralProductGrade){
        return  integralProductGradeMapper.save(integralProductGrade);
    }
    /**
     * 修改数据
     * @param  integralProductGrade
     * @return Integer
     */
    @Override
    public  Integer  update(IntegralProductGrade  integralProductGrade){
        return  integralProductGradeMapper.update(integralProductGrade);
    }
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    @Override
    public  Integer  delete(Integer  id){
        return  integralProductGradeMapper.delete(id);
    }
}
